scala.collection.generic

# GenericSeqCompanion

#### trait GenericSeqCompanion[CC[X] <: Traversable[X]] extends GenericCompanion[CC]

Source
  GenericSeqCompanion.scala

Linear Supertypes
GenericCompanion[CC], AnyRef, Any
Known Subclasses
ArrayBuffer, ArraySeq, ArrayStack, Buffer, DoubleLinkedList, HashSet, HashSet, ImmutableSetFactory, IndexedSeq, IndexedSeq, IndexedSeq, IndexedSeqFactory, Iterable, Iterable, Iterable, LinearSeq, LinearSeq, LinearSeq, LinkedHashSet, LinkedList, List, ListBuffer, ListSet, MutableList, MutableSetFactory, Queue, Queue, ResizableArray, Seq, Seq, Seq, SeqFactory, Set, Set, Set, SetFactory, Stack, Stack, Stream, Traversable, Traversable, Traversable, TraversableFactory, Vector
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GenericSeqCompanion
2. GenericCompanion
3. AnyRef
4. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Coll = CC[_]

   The underlying collection type with unknown element type

   The underlying collection type with unknown element type

   Attributes
     protected[this]
   Definition Classes
     GenericCompanion

### Abstract Value Members

1. #### abstract def newBuilder[A]: Builder[A, CC[A]]

   The default builder for ``CC`` objects.

   The default builder for ``CC`` objects.

   A

     the type of the collection's elements

   Definition Classes
     GenericCompanion

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from GenericSeqCompanion[CC] to any2stringadd[GenericSeqCompanion[CC]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (GenericSeqCompanion[CC], B)

   Implicit information
     This member is added by an implicit conversion from GenericSeqCompanion[CC] to ArrowAssoc[GenericSeqCompanion[CC]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def apply[A](elems: A*): CC[A]

   Creates a collection with the specified elements.

   Creates a collection with the specified elements.

   A

     the type of the collection's elements

   elems

     the elements of the created collection

   returns

     a new collection with elements `elems`

   Definition Classes
     GenericCompanion

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def empty[A]: CC[A]

   An empty collection of type ``CC`[A]`

   An empty collection of type ``CC`[A]`

   A

     the type of the collection's elements

   Definition Classes
     GenericCompanion

10. #### def ensuring(cond: (GenericSeqCompanion[CC]) ⇒ Boolean, msg: ⇒ Any): GenericSeqCompanion[CC]

    Implicit information
      This member is added by an implicit conversion from GenericSeqCompanion[CC] to Ensuring[GenericSeqCompanion[CC]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (GenericSeqCompanion[CC]) ⇒ Boolean): GenericSeqCompanion[CC]

    Implicit information
      This member is added by an implicit conversion from GenericSeqCompanion[CC] to Ensuring[GenericSeqCompanion[CC]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): GenericSeqCompanion[CC]

    Implicit information
      This member is added by an implicit conversion from GenericSeqCompanion[CC] to Ensuring[GenericSeqCompanion[CC]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): GenericSeqCompanion[CC]

    Implicit information
      This member is added by an implicit conversion from GenericSeqCompanion[CC] to Ensuring[GenericSeqCompanion[CC]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from GenericSeqCompanion[CC] to StringFormat[GenericSeqCompanion[CC]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from GenericSeqCompanion[CC] to CollectionsHaveToParArray[GenericSeqCompanion[CC], T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (GenericSeqCompanion[CC]) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

26. #### def toString(): String

    Definition Classes
      AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### def →[B](y: B): (GenericSeqCompanion[CC], B)

    Implicit information
      This member is added by an implicit conversion from GenericSeqCompanion[CC] to ArrowAssoc[GenericSeqCompanion[CC]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from GenericCompanion[CC]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from GenericSeqCompanion[CC] to CollectionsHaveToParArray[GenericSeqCompanion[CC], T]

### Inherited by implicit conversion any2stringadd from GenericSeqCompanion[CC] to any2stringadd[GenericSeqCompanion[CC]]

### Inherited by implicit conversion StringFormat from GenericSeqCompanion[CC] to StringFormat[GenericSeqCompanion[CC]]

### Inherited by implicit conversion Ensuring from GenericSeqCompanion[CC] to Ensuring[GenericSeqCompanion[CC]]

### Inherited by implicit conversion ArrowAssoc from GenericSeqCompanion[CC] to ArrowAssoc[GenericSeqCompanion[CC]]

### Ungrouped